Name:          hawtdispatch
Version:       1.17
Release:       3%{?dist}
Summary:       The libdispatch style API for Java
License:       ASL 2.0
URL:           http://hawtdispatch.fusesource.org/
Source0:       https://github.com/fusesource/hawtdispatch/archive/%{name}-project-%{version}.tar.gz

BuildRequires: fusesource-pom
BuildRequires: java-devel

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: hawtbuf
BuildRequires: objectweb-asm

%if 0
# unavailable sub module deps
# scala
BuildRequires: mvn(net.alchim31.maven:scala-maven-plugin)
BuildRequires: mvn(org.scala-lang:scala-library)
BuildRequires: mvn(org.scala-lang.plugins:continuations)
BuildRequires: mvn(org.scalatest:scalatest_2.10.0)
# website
BuildRequires: mvn(org.fusesource.mvnplugins:maven-linkchecker-plugin)
BuildRequires: mvn(org.fusesource.scalamd:scalamd)
BuildRequires: mvn(org.fusesource.scalate:scalate-page)
BuildRequires: mvn(org.fusesource.scalate:scalate-wikitext)
BuildRequires: mvn(org.fusesource.scalate:maven-scalate-plugin)
BuildRequires: mvn(org.mortbay.jetty:jetty-maven-plugin)
BuildRequires: mvn(org.scala-lang:scala-compiler)
BuildRequires: mvn(org.scala-tools:maven-scala-plugin)

BuildRequires: mvn(org.slf4j:slf4j-nop)
%endif

# test deps
BuildRequires: junit
BuildRequires: log4j

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

# Linux C port @ http://nickhutchinson.me/libdispatch

%description
HawtDispatch is a small (less than 100k) thread pooling and
NIO event notification framework API modeled after the
libdispatch API that Apple created to power the Grand Central
Dispatch (GCD) technology in OS X. It allows you to easily develop
multi-threaded applications without having to deal with the
problems that traditionally plague multi-threaded application
development.

This package provides the libdispatch style API for Java.

%package transport
Summary:       Transport abstractions for HawtDispatch

%description transport
HawtDispatch Transport: Transport abstractions for HawtDispatch.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# remove unavailable org.fusesource.mvnplugins:fuse-javadoc-skin
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-site-plugin']/pom:configuration/pom:reportPlugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:configuration/pom:resourcesArtifacts"
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:dependencies"
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:configuration/pom:resourcesArtifacts"

%pom_disable_module hawtdispatch-scala
%pom_disable_module hawtdispatch-example
%pom_disable_module hawtdispatch-website
    
%build

%mvn_file :%{name} %{name}
%mvn_file :%{name}-transport %{name}-transport
%mvn_package ":%{name}-project" %{name}
%mvn_build -s

%install
%mvn_install 

%files -f .mfiles-%{name}
%doc changelog.md license.txt notice.md readme.md

%files transport -f .mfiles-%{name}-transport
%doc license.txt notice.md

%files javadoc -f .mfiles-javadoc
%doc license.txt notice.md

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 1.17-2
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.17-1
- update to 1.17

* Thu May 24 2012 gil cattaneo <puntogil@libero.it> 1.11-1
- initial rpm